Subject: [RFC/PATCH 0/5] ab/i18n: Things I'll add in the next iteration

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 31 Oct 2010 11:34:15 +0000

This is an RFC for things I'll add in the next iteration of ab/i18n:

Ævar Arnfjörð Bjarmason (5):
  gettext: fix bug in git-sh-i18n's eval_gettext() by using envsubst(1)

This solves the "Buglet in i18n?" issue reported by Johannes Sixt.

  gettextize: git-clone: !fixup "basic messages"
  gettextize: git-init: !fixup "basic messages"
  gettextize: git-revert: !fixup "Your local changes"
  gettextize: git-merge: !fixup "basic messages"

These are all minor fixups to the gettextize portion of the series
that I'll squash into exisitng patches.

 .gitignore                   |    1 +
 Makefile                     |    1 +
 builtin/clone.c              |    2 +-
 builtin/init-db.c            |    2 +-
 builtin/merge.c              |    2 +-
 builtin/revert.c             |    4 +-
 git-sh-i18n.sh               |    7 +-
 sh-i18n--envsubst.c          |  303 ++++++++++++++++++++++++++++++++++++++++++
 t/lib-gettext.sh             |   25 ++++
 t/t0200-gettext-basic.sh     |    3 +
 t/t0201-gettext-fallbacks.sh |    3 +
 11 files changed, 343 insertions(+), 10 deletions(-)
 create mode 100644 sh-i18n--envsubst.c

-- 
1.7.3.2.312.ge13a7